server {
  listen       80;

  #charset koi8-r;
  access_log  /var/log/nginx/host.access.log  main;
  error_log  /var/log/nginx/error.log  error;

  location / {
      root   /var/www/html/;
      index  index.html index.htm;
      
     if (!-e \$request_filename) { 
        rewrite ^(.*)\$ /index.html?s=\$1 last; 
        break; 
        } 
      }
  
  location /integrate {
    proxy_pass http://integrate-system:8090;
  }
}